@import url("bootstrap_clases.css");
@import url("form.css");
@import url("steps.css");
@import url("colors.css");

:root {
  --font-size-h1: 1.93rem;
  --font-size-h1-mob: 1.5rem;
  --font-size-h2: 1.5rem;
  --font-size-h2-mob: 1.2rem;
  --font-size-h3: 1.2rem;
  --font-size-h3-mob: 1.2rem;
  --font-family-sans-s: "Roboto", sans-serif;
  --font-family-sans-slab: "Roboto Slab", serif;
}

body {
  font-family: "Roboto", sans-serif;
  margin: 0;
}

body.recuperar {
  background: #ffffff url("../images/bg-deco.svg") no-repeat bottom;
}

/*body.kit {
  background-color:rgba(var( --grey-5), 1);
}*/

/* Reset básico para márgenes y padding */
html,
body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
figure {
  margin: 0;
  padding: 0;
}

.material-symbols-outlined {
  font-variation-settings: "FILL" 0, "wght" 400, "GRAD" 0, "opsz" 34;
}

.breadcrumbs {
  color: var(--color-font);
  font-size: 1rem;
  margin: 20px 0;
}

.breadcrumbs a {
  color: var(--color-font);
  font-size: 1rem;
  text-decoration: none;
}

.breadcrumbs a.active {
  color: var(--color-font);
  font-size: 1rem;
  text-decoration: none;
  font-weight: 700;
}

main.main-container {
  width: 100%;
  /* height: 100vh;*/
  display: flex;
  flex-direction: row;
}

    main.main-container .left-container {
        width: 50%;
        padding: 2rem;
        background-image: url("../images/bg-deco.svg"), linear-gradient(to top, #092039, #00274e, #002f63, #003578, #003b8d);
        background-size: cover;
        background-position: left bottom;
        background-size: auto;
        background-repeat: no-repeat;
        height: 100vh;
        box-sizing: border-box;
    }

main.main-container .right-container {
  width: 50%;
  padding: 2rem;
  color: #373737;
}

main.main-container-mob {
  width: 100%;
  display: flex;
  flex-direction: column;
}

.main-container-mob.bg-blue {
  background-image: url("../images/bg-deco.svg"),
    linear-gradient(to top, #092039, #00274e, #002f63, #003578, #003b8d);
  background-size: cover;
  background-position: left bottom;
  background-size: auto;
  background-repeat: no-repeat;
  padding: 1rem;
}

/*TÍTULOS*/
main.main-container h1,
main.main-container-mob h1,
.container-white-mob h1 {
    font-size: var(--font-size-h1-mob);
    font-family: "Roboto Slab", serif !important;
    color: white;
    line-height: 1.5;
    font-weight: 500;
    padding: 0;
    margin-bottom: 1rem;
}

@media (min-width: 768px) {
  main.main-container h1,
  main.main-container-mob h1,
  .container-white-mob h1 {
    font-size: var(--font-size-h1);
  }
}

main.main-container h2,
main.main-container-mob h2,
.container-white-mob h2 {
    font-size: var(--font-size-h2-mob);
    font-family: "Roboto Slab", serif !important;
    color: #373737;
    line-height: 1.5;
    font-weight: 500;
    padding: 0;
    margin-bottom: 1rem;
}

@media (min-width: 768px) {
  main.main-container h2,
  main.main-container-mob h2,
  .container-white-mob h2 {
    font-size: var(--font-size-h2);
  }
}

main.main-container h3,
main.main-container-mob h3,
.container-white-mob h3 {
  font-size: var(--font-size-h3);
  font-family: var(--font-family-sans-s);
  color: #373737;
  line-height: 1.5;
  font-weight: 700;
  padding: 0;
  margin-bottom: 1rem;
}

ul.list-style {
  list-style: none;
  padding: 0;
  margin: 0;
  color: white;
}

ul.list-style li {
  padding: 8px 0 8px 32px;
  background: url("../images/check-rec.svg") no-repeat 1px 8px;
  font-size: 1rem;
}

.color-white {
  color: white !important;
}

a.link-sct {
  color: #0051a8;
  text-decoration: underline;
  font-size: 1rem;
  font-weight: 500;
}

a:hover.link-sct {
  color: #003078;
  text-decoration: underline;
  font-size: 1rem;
  font-weight: 500;
}

a:focus.link-sct {
  color: #373737;
  text-decoration: underline;
  background-color: #ffbe5c;
}

a:active.link-sct {
  color: #373737;
}

/*a:visited.link-sct {
  color: #4C2C92;
}*/

a.btn-clave-unica {
  color: #ffffff;
  font-size: 1rem;
  text-align: center;
  font-weight: 500;
  padding: 8px;
  border-radius: 50px;
  background: #0f69c4;
  height: fit-content;
  margin: 1rem 0;
  display: block;
  width: 100%;
  transition: 0.3s;
  border: 4px solid transparent;
}

a:hover.btn-clave-unica {
  background-color: #003c7c;
  border: 4px solid transparent;
}

a:active.btn-clave-unica {
  background-color: #00254d;
  border: 4px solid transparent;
}

a:focus.btn-clave-unica {
  background-color: #003c7c;
  border: 4px solid #ffbe5c;
}

button.btn-clave-unica {
    color: #ffffff;
    font-size: 1rem;
    text-align: center;
    font-weight: 500;
    padding: 8px;
    border-radius: 50px;
    background: #0f69c4;
    height: fit-content;
    margin: 1rem 0;
    display: block;
    width: 100%;
    transition: 0.3s;
    border: 4px solid transparent;
}

button:hover.btn-clave-unica {
    background-color: #003c7c;
    border: 4px solid transparent;
}

button:active.btn-clave-unica {
    background-color: #00254d;
    border: 4px solid transparent;
}

button:focus.btn-clave-unica {
    background-color: #003c7c;
    border: 4px solid #ffbe5c;
}

a.btn-blue {
  color: #ffffff;
  font-size: 1rem;
  text-align: center;
  font-weight: 500;
  padding: 8px;
  border-radius: 50px;
  background: #0f69c4;
  height: fit-content;
  margin: 1rem 0;
  display: block;
  width: 100%;
  transition: 0.3s;
  border: 4px solid transparent;
}

a:hover.btn-blue {
  background-color: #003c7c;
  border: 4px solid transparent;
}

a:active.btn-blue {
  background-color: #00254d;
  border: 4px solid transparent;
}

a:focus.btn-blue {
  background-color: #003c7c;
  border: 4px solid #ffbe5c;
}

/*Tamaños*/

.container-size {
  width: 100%;
}

@media (min-width: 800px) {
  .container-size {
    width: 50%;
  }
}

@media (min-width: 800px) {
  .container-size-recupera {
    width: 40%;
    display: flex;
    justify-content: center;
  }
}
.container-size-recupera {
  width: 100%;
  display: flex;
  justify-content: center;
}

.container-white-mob {
  background-color: white;
  padding: 12px;
  border-radius: 8px;
  margin: 38px 0;
}
/*Tamaños*/

/*Input styles*/

.person-input {
  background-image: url("../images/person_icon_input.svg");
  background-repeat: no-repeat;
  background-size: 24px 24px;
  background-position: 8px 5px;
  padding: 0 0 0 36px;
}

.password-input {
  background-image: url("../images/password_icon_input.svg");
  background-repeat: no-repeat;
  background-size: 24px 24px;
  background-position: 8px 5px;
  padding: 0 0 0 36px;
}

.mail-input {
  background-image: url("../images/email_icon_input.svg");
  background-repeat: no-repeat;
  background-size: 24px 24px;
  background-position: 8px 5px;
  padding: 0 0 0 36px;
}

p.mensaje-error {
    color: #cd1e2c !important;
    font-size: 0.9rem;
    padding: 4px 0;
    margin: 0;
    font-weight: 500;
    line-height: 1.5;
}

.mensaje-ayuda {
  color: #373737;
  font-size: small;
  padding: 0 0 6px 0;
  margin: 0;
  line-height: 1.5;
}

/*Input styles*/

.flecha {
  transition: transform 0.3s ease;
}

button[aria-expanded="true"] .flecha {
  transform: rotate(180deg); /* Gira hacia arriba */
}

button.recom {
  background-color: transparent;
  border: none;
  cursor: pointer;
}

button:focus.recom {
  border: 2px solid #ffbe5c;
  border-radius: 4px;
}

.franja-volver {
  background-color: #0051a8;
  position: fixed;
  bottom: 0;
  left: 0;
  margin: 0;
  width: 100%;
  display: flex;
  justify-content: center;
}

.franja-volver a {
  color: white;
  text-decoration: underline;
  padding: 8px;
  text-align: center;
  font-size: 1.1rem;
  border: 4px solid transparent;
}

.franja-volver a:focus {
  border: 4px solid #ffbe5c;
}

/*RECUPERAR CONTRASEÑA STYLES*/

header {
  background-color: #ffffff;
  padding: 0.4rem;
  display: flex;
  justify-content: center;
  align-content: center;
  gap: 16px;
}

    header h1 {
        font-size: var(--font-size-h1-mob);
        font-family: "Roboto Slab", serif !important;
        color: #373737;
        line-height: 1.5;
        font-weight: 500;
        padding: 1rem 0;
    }

@media (min-width: 768px) {
  header h1 {
    font-size: var(--font-size-h1);
  }
}

.alert.kit-gob.alert-primary p,
.alert.kit-gob.alert-success p {
  font-size: 1rem;
  line-height: 1.5;
  color: #373737;
  margin: 1rem 0;
}

.volver-container {
  display: none;
}
@media (min-width: 840px) {
  .volver-container {
    position: absolute;
    right: 0;
    top: 32px;
    margin: 0 1rem;
    display: block;
  }
}

.franja-volver-recuperacion {
  display: none;
}

@media (max-width: 841px) {
  .franja-volver-recuperacion {
    background-color: #0051a8;
    position: fixed;
    bottom: 0;
    left: 0;
    margin: 0;
    width: 100%;
    display: flex;
    justify-content: center;
  }
}

.franja-volver-recuperacion a {
  color: white;
  text-decoration: underline;
  padding: 8px;
  text-align: center;
  font-size: 1.1rem;
  border: 4px solid transparent;
}

.franja-volver-recuperacion a:focus {
  border: 4px solid #ffbe5c;
}

/*RECUPERAR CONTRASEÑA STYLES*/
